Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_global_entry Struct Reference

`#include <internal.h>`

## Data Fields
struct rb_global_variable * | var
ID | id

## Detailed Description

Definition at line 1350 of file internal.h.

## Field Documentation

## ◆ id

ID rb_global_entry::id

Definition at line 1352 of file internal.h.

Referenced by rb_gvar_get(), and rb_gvar_set().

## ◆ var

struct rb_global_variable * rb_global_entry::var

Definition at line 1351 of file internal.h.

Referenced by rb_f_trace_var(), rb_gvar_defined(), rb_gvar_get(), rb_gvar_getter_function_of(), rb_gvar_is_traced(), rb_gvar_set(), rb_gvar_setter_function_of(), rb_gvar_undef_setter(), and rb_gvar_val_setter().

The documentation for this struct was generated from the following files:

- internal.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h